<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_sub_option_title" />

    <include layout="@layout/include_line_view" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <com.esri.arcgisruntime.mapping.view.MapView
                android:id="@+id/mapView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end|center_vertical"
                android:layout_marginEnd="@dimen/dp_10"
                android:orientation="vertical">

                <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
                    android:id="@+id/expandMapView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|end"
                    android:layout_marginBottom="1px"
                    android:background="@drawable/bg_button"
                    android:elevation="5dp"
                    android:padding="5dp"
                    android:src="@drawable/ic_add_black" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaImageButton
                    android:id="@+id/minusMapView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|end"
                    android:layout_margin="1px"
                    android:background="@drawable/bg_button"
                    android:elevation="5dp"
                    android:padding="5dp"
                    android:src="@drawable/ic_minus" />
            </LinearLayout>

            <TextView
                android:id="@+id/locationStreetView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableStart="@drawable/ic_map"
                android:drawablePadding="@dimen/dp_10"
                android:gravity="center_vertical"
                android:padding="5dp" />
        </FrameLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1.25">

            <LinearLayout
                android:id="@+id/l"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/obtainToiletIdLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_marginVertical="5dp"
                        android:text="公厕标识：" />

                    <TextView
                        android:id="@+id/toiletIdView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="100dp"
                        android:textSize="@dimen/sp_16" />

                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>

                <RelativeLayout style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:text="工作图片：" />

                    <TextView
                        android:id="@+id/showPictureView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="100dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:text="查看保洁打卡图片"
                        android:textColor="@color/ps_color_blue"
                        android:textSize="@dimen/sp_16"
                        android:visibility="gone" />

                    <ImageView
                        android:id="@+id/takePictureView"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_camera" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/startTimeLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_marginVertical="5dp"
                        android:text="开始时间：" />

                    <TextView
                        android:id="@+id/startTimeView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="100dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:textSize="@dimen/sp_16" />

                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/endTimeLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_marginVertical="5dp"
                        android:text="结束时间：" />

                    <TextView
                        android:id="@+id/endTimeView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="100dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:textSize="@dimen/sp_16" />

                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/selectWorkLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/textViewStyle"
                        android:layout_marginVertical="5dp"
                        android:text="工作内容：" />

                    <TextView
                        android:id="@+id/workContentView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="100dp"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:textSize="@dimen/sp_16" />

                    <ImageView style="@style/rightImageStyle" />
                </RelativeLayout>
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/l">

                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                    android:id="@+id/signInButton"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:layout_centerInParent="true"
                    android:elevation="@dimen/dp_10"
                    android:text="保洁打卡"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_16"
                    app:qmui_backgroundColor="@color/mainThemeColor"
                    app:qmui_borderWidth="0dp"
                    app:qmui_radius="50dp" />
            </RelativeLayout>
        </RelativeLayout>
    </LinearLayout>
</LinearLayout>